## ros-indigo-eus-nlopt 0.1.15

=== CMakeLists.txt ===
project(eus_nlopt)

cmake_minimum_required(VERSION 2.4.6)

find_package(catkin REQUIRED COMPONENTS nlopt)

include_directories(${PROJECT_SOURCE_DIR}/include)
include_directories(${PROJECT_SOURCE_DIR}/src)
include("./path-tricker/includes.txt")

## catkin
if(nlopt_FOUND_CATKIN_PROJECT)
  ##
  set(NLOPT_FOUND true)
  if(NOT ${nlopt_INCLUDE_DIRS} STREQUAL "")
    FIND_PATH(NLOPT_INCLUDE_DIR nlopt.h PATHS ${nlopt_INCLUDE_DIRS})
  else()
    FIND_PATH(NLOPT_INCLUDE_DIR nlopt.h PATHS ${nlopt_SOURCE_PREFIX}/include ${catkin_INCLUDE_DIRS} ${nlopt_PREFIX}/include/nlopt)
  endif()
  ##
  SET (NLOPT_NAMES nlopt nlopt_cxx)
  if(NOT ${nlopt_LIBRARY_DIRS} STREQUAL "")
    FIND_LIBRARY (NLOPT_LIBRARY NAMES ${NLOPT_NAMES}
      PATHS ${nlopt_LIBRARY_DIRS})
  else()
    FIND_LIBRARY (NLOPT_LIBRARY NAMES ${NLOPT_NAMES}
      PATHS ${nlopt_SOURCE_PREFIX}/lib ${catkin_LIBRARY_DIRS})
  endif()
  SET (NLOPT_LIBRARIES ${NLOPT_LIBRARY})
  ##
  include_directories(${NLOPT_INCLUDE_DIR})
  MARK_AS_ADVANCED (NLOPT_LIBRARY NLOPT_INCLUDE_DIR)
  MESSAGE("-- NLopt found (include: " ${NLOPT_INCLUDE_DIR} ", link: "  ${NLOPT_LIBRARY} ")")
else ()
  MESSAGE("-- NLopt missing")
endif()

catkin_package(
  CATKIN_DEPENDS nlopt
  DEPENDS
  INCLUDE_DIRS
  LIBRARIES
)

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

## add_executable(nlopt_test src/test.cpp src/nlopt_solver.cpp)
## add_library(nlopt_solver SHARED src/nlopt_solver.cpp)
if(NLOPT_FOUND)
  add_library(nlopt_wrapper SHARED src/nlopt_wrapper.cpp src/nlopt_solver.cpp)
  TARGET_LINK_LIBRARIES(nlopt_wrapper ${NLOPT_LIBRARY})
endif(NLOPT_FOUND)

install(TARGETS nlopt_wrapper
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY euslisp launch
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY include
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-eus-nlopt (0.1.15-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 15 May 2018 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.14-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 14 Jan 2018 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.13-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2017 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.12-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.11-0trusty) trusty; urgency=high

  * add install rules
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.10-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.9-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 22 Mar 2016 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.8-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.7-0trusty) trusty; urgency=high

  * use ftol xtol values in coresolver initialization
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Contributors: Ryohei Ueda, Shintaro Noda

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sat, 31 Oct 2015 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.6-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.5-0trusty) trusty; urgency=high

  * remove engin from build_depend
  * remove find_package(Eigen)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.4-0trusty) trusty; urgency=high

  * add eigen

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 20 Oct 2014 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.3-0trusty) trusty; urgency=high

  * Use deb files to install jsk programs
  * Fix path to find nlopt headers and libraries

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.2-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 07 Sep 2014 15:00:00 -0000

ros-indigo-eus-nlopt (0.1.1-0trusty) trusty; urgency=high

  * catkinize, add package.xml and catkin.cmake, use ROS_BUILD flag, and fix lib loader to use LD_LIBRARY_PATH
  * rename arg names, x -> state-vector, f -> evaluation function, g -> equality function, h -> inequality function
  * remove test dir
  * rename m -> *nlopt-plugin*
  * add solve-nlopt-ik-thread function
  * add callback function
  * fix env value,
  * add axis-matrix arg,
  * if response is not best, revert robot angle-vector
  * revert Makefile
  * chmode a+x node & maanger
  * delete some files
  * add launch file, solve ik separatery and return the best result
  * bug fix, nlopt-ik-manager
  * add nlopt-ik-manager.l, combine the ik result and publish the best one
  * some minor changes hogehoge
  * add nlopt-ik-node.l, solve ik with s equation
  * move atlas-ik* files to ik dir
  * add nlopt-ik-overwrite.l, causion, this program overwrite the method of :inverse-kinematics in cascaded-link
  * list check add
  * enable to use eus-ik with algoright id > 18
  * base min max value add
  * add debug-view=:success-draw mode, draw only when the const value is updated
  * fix maxeval value, enough large
  * add ik-test function for check
  * bug fix: root-link has no joint
  * bug fix: target-centroid-pos can be used
  * bug fix: ik-param send super nlopt-object
  * add centroid control, bug has some bug
  * bug fix: requrie path change from . to ..
  * initial commit nlopt-ik.l
  * move test files into test dir
  * nlopt-object: able to set max-time and max-eval
  * add max-eval, max-time variable
  * bug fix: nlopt-fdh return interger
  * :simple-jacobian function add
  * object wrapper for nlotp add
  * euslisp global value add for local non-derivetive functinos
  * add local non-derivetive functions, with no test
  * remove duplicate simple-jacobian function
  * update simple-jacobina, able to use for matrix jacobian
  * add Makefile, just rosmake command build all files
  * bug fix: cmakelist.txt missing links
  * initial commit eus_nlopt, ik ssample add
  * Contributors: Shintaro Noda

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-eus-nlopt
Section: misc
Priority: extra
Maintainer: Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-nlopt
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-eus-nlopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-euslisp, ros-indigo-nlopt
Description: eus_nlopt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-eus-nlopt//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
